package com.seuic.d400.d400settingdemo;

import java.util.UUID;

public class D400Helper {

    /**
     * SPP协议的UUID
     */
    public static final UUID uuid = UUID
            .fromString("00001101-0000-1000-8000-00805F9B34FB");
    /**
     * SPP协议
     */
    public static final int SPP = 0;
    /**
     * HID协议
     */
    public static final int HID = 1;

    /**
     * 收到蓝牙数据
     */
    public static final int ACCEPTDATAS = 0X01;

    /**
     * 连接失败
     */
    public static final int CONNECTFAIL = 0X66;
    /**
     * 连接成功
     */
    public static final int CONNECTSUCCESS = 0x77;

    /**
     * 前缀修改成功
     */
    public static final int PREFIXSECCESS = 0X10;
    /**
     * 前缀修改失败
     */
    public static final int PREFIXFAIL = 0X11;
    /**
     * 后缀修改成功
     */
    public static final int SUFFIXSECCESS = 0X20;
    /**
     * 后缀修改失败
     */
    public static final int SUFFIXFAIL = 0X21;
    /**
     * 声音修改成功
     */
    public static final int SOUNDSECCESS = 0X30;
    /**
     * 声音修改失败
     */
    public static final int SOUNDFAIL = 0X31;
    /**
     * 震动修改成功
     */
    public static final int VIBRATESECCESS = 0X40;
    /**
     * 震动修改失败
     */
    public static final int VIBRATEFAIL = 0X41;
    /**
     * SN修改成功
     */
    public static final int SNSECCESS = 0X50;
    /**
     * SN修改失败
     */
    public static final int SNFAIL = 0X51;
    /**
     * SN读取成功
     */
    public static final int READSNSECCESS = 0X60;
    /**
     * SN读取失败
     */
    public static final int READSNFAIL = 0X61;

    /**
     * 设置成功
     */
    public static final int SETTINGSECCESS = 0X70;
    /**
     * 设置失败
     */
    public static final int SETTINGFAIL = 0X71;


}
