package com.seuic.d400.d400settingdemo;

/**
 * Created by user on 2015.11.02.
 */
public interface IScanner {

    public class ParamCode {
        //private static final int COMMON_START 				= 0x00;  基本设置
        public static final int LASTER_ONTIME 				= 0x01; //持续时间
        public static final int SCAN_ANGLE 					= 0x02; //扫描角度
        public static final int TIMEOUT_SAMESYMBOL 			= 0x03;//超时时间
        public static final int SECURITY_LEVEL 				= 0x04;//安全级别
        public static final int BIDIRECTIONAL 				= 0x06;//双向扫描
        public static final int LIGHTS 						= 0x07;
        public static final int LCD_DISPLAY 				= 0x08;
        public static final int ILLUMINATION_LEVEL 			= 0x09;
        public static final int	DECODETIMEOUT				= 0x0a;

        //private static final int UPC_ENA_START 				= 0x100; UPC/EAN
        public static final int UPCA 						= 0x101;//UPC-A
        public static final int UPCE 						= 0x102;//UPC-E
        public static final int UPCE1 						= 0x103;//UPC-E1
        public static final int EAN8 						= 0x104;//EAN-8
        public static final int EAN13 						= 0x105;//EAN-13
        public static final int BOOKLAND 					= 0x106;//Bookland ENA
        public static final int UPCA_CHK 					= 0x107;//传输UPA-A验证码
        public static final int UPCE_CHK 					= 0x108;//传输UPC-E验证码
        public static final int UPCE1_CHK 					= 0x109;//传输UPC-E1验证码
        public static final int UPCA_PREAM 					= 0x10a;//UPC-A加前缀
        public static final int UPCE_PREAM 					= 0x10b;//UPC-E加前缀
        public static final int UPCE1_PREAM 				= 0x10c;//UPC-E1加前缀
        public static final int UPCE_TO_A 					= 0x10d;//将UPC-E转换成UPC-A
        public static final int UPCE1_TO_A 					= 0x10e;//将UPC-E1转换成UPC-A
        public static final int EAN8_TO_13 					= 0x10f;
        public static final int COUPON 						= 0x110;
        public static final int UPCE_EXPANDED				= 0x111;//使用UCC Coupon Extended Code模式

        //private static final int CODE128_START 				= 0x120; Code 128
        public static final int CODE128 					= 0x121;//code128开关
        public static final int CODE128_LEN_MIN 			= 0x122;
        public static final int CODE128_LEN_MAX 			= 0x123;
        public static final int ISBT128 					= 0x124;//ISBT128开关
        public static final int GS1128 						= 0x125;//GS1128开关
        public static final int ISBT128_PREDEFINED			= 0x126;

        //private static final int CODE39_START 				= 0x130; CODE39
        public static final int CODE39 						= 0x131; //
        public static final int TRIC39 						= 0x132;//
        public static final int CODE39_FULL_ASCII 			= 0x133;//
        public static final int CODE39_TO_CODE32 			= 0x134;//
        public static final int CODE32_PREFIX 				= 0x135;//
        public static final int CODE39_LEN_MIN 				= 0x136;//
        public static final int CODE39_LEN_MAX 				= 0x137;//
        public static final int CODE39_CHK 					= 0x138;//
        public static final int CODE39_VER 					= 0x139;//

        //private static final int CODE93_START 				= 0x140;
        public static final int CODE93 						= 0x141;//
        public static final int CODE93_LEN_MIN 				= 0x142;//
        public static final int CODE93_LEN_MAX 				= 0x143;//

        //private static final int CODE11_START 				= 0x150;
        public static final int CODE11 						= 0x151;//
        public static final int CODE11_LEN_MIN 				= 0x152;//
        public static final int CODE11_LEN_MAX 				= 0x153;//
        public static final int CODE11_CHK_VER 				= 0x154;//
        public static final int CODE11_CHK 					= 0x155;//

        //private static final int I25_START 					= 0x160;
        public static final int I25 						= 0x161;//
        public static final int I25_LEN_MIN 				= 0x162;//
        public static final int I25_LEN_MAX 				= 0x163;//

        //private static final int D25_START 					= 0x170;
        public static final int D25 						= 0x171;//
        public static final int D25_LEN_MIN 				= 0x172;//
        public static final int D25_LEN_MAX 				= 0x173;//

        //private static final int C25_START 					= 0x180;
        public static final int C25 						= 0x181;//
        public static final int C25_LEN_MIN 				= 0x182;
        public static final int C25_LEN_MAX 				= 0x183;

        //private static final int CODABAR_START 				= 0x190;
        public static final int CODEBAR 					= 0x191;//
        public static final int CODEBAR_LEN_MIN 			= 0x192;//
        public static final int CODEBAR_LEN_MAX 			= 0x193;//

        //private static final int MSI_START 					= 0x200;
        public static final int MSI 						= 0x201;//
        public static final int MSI_LEN_MIN 				= 0x202;//
        public static final int MSI_LEN_MAX 				= 0x203;//

        //private static final int RSS_START 					= 0x210;
        public static final int RSS14 						= 0x211;//
        public static final int RSS_LIMIT					= 0x212;//
        public static final int RSS_EXPANDED				= 0x213;//
        public static final int RSS_TO_UPCEAN				= 0x214;//

        //private static final int QR_START 					= 0x220;
        public static final int QRCODE 						= 0x221;
        public static final int QRCODE_LEN_MIN 				= 0x222;
        public static final int QRCODE_LEN_MAX 				= 0x223;
        public static final int QRINVERSE 					= 0x224;
        public static final int MICROQR 					= 0x225;

        //private static final int DATAMATRIX_START 			= 0x230;
        public static final int DM 							= 0x231;
        public static final int DM_LEN_MIN 					= 0x232;
        public static final int DM_LEN_MAX 					= 0x233;
        public static final int DMINVERSE 					= 0x234;
        public static final int DMI 						= 0x235;

        // CHINAPOST
        //private static final int CHINAPOST_START 			= 0x240;
        public static final int CHINAPOST 					= 0x241;
        public static final int CHINAPOST_LEN_MIN 			= 0x242;
        public static final int CHINAPOST_LEN_MAX 			= 0x243;

        // MATRIX 2 of 5
        //private static final int M25_START 					= 0x250;
        public static final int M25 						= 0x251;
        public static final int M25_LEN_MIN 				= 0x252;
        public static final int M25_LEN_MAX 				= 0x253;

        // Postal Code
        //private static final int POSTAL_CODE_START 			= 0x260;
        public static final int POSTNET 					= 0x261;
        public static final int PLANET 						= 0x262;
        public static final int BRITISHPOST 				= 0x263;
        public static final int JAPPOST 					= 0x264;
        public static final int AUSPOST 					= 0x265;
        public static final int UPU_FICS_POSTAL				= 0x266;
        public static final int USPS_4CB					= 0x267;
        public static final int NETHERLANDS_KIX_CODE		= 0x268;
        public static final int POSTNET_CHK					= 0x269;
        public static final int PLANET_CHK					= 0x26a;

        // Korean 3 of 5
        //private static final int K35_START 					= 0x270;
        public static final int K35 						= 0x271;

        // EAN UCC Composite
        //private static final int COMPOSITE_EAN_START 		= 0x2B0;
        public static final int COMPOSITE 					= 0x2B1;
        public static final int COMPOSITE_LEN_MIN 			= 0x2B2;
        public static final int COMPOSITE_LEN_MAX 			= 0x2B3;

        // PDF417
        //private static final int PDF417_START 				= 0x2C0;
        public static final int PDF417 						= 0x2C1;
        public static final int PDF417_LEN_MIN 				= 0x2C2;
        public static final int PDF417_LEN_MAX 				= 0x2C3;

        // MicroPDF417
        //private static final int MICROPDF417_START 			= 0x2D0;
        public static final int MICROPDF417 				= 0x2D1;
        public static final int MICROPDF417_LEN_MIN 		= 0x2D2;
        public static final int MICROPDF417_LEN_MAX 		= 0x2D3;

        // MaxiCode
        //private static final int MAXICODE_START 			= 0x2E0;
        public static final int MAXICODE 					= 0x2E1;
        public static final int MAXICODE_LEN_MIN 			= 0x2E2;
        public static final int MAXICODE_LEN_MAX 			= 0x2E3;

        // Aztec Code
        //private static final int AZTECCODE_START 			= 0x2F0;
        public static final int AZTECCODE 					= 0x2F1;
        public static final int AZTECCODE_LEN_MIN 			= 0x2F2;
        public static final int AZTECCODE_LEN_MAX 			= 0x2F3;
        public static final int AZTECCODE_INVERSE 			= 0x2F4;

        // Codeblock F
        //private static final int CODEBLOCKF_START 			= 0x300;
        public static final int CODEBLOCKF 					= 0x301;
        public static final int CODEBLOCKF_LEN_MIN 			= 0x302;
        public static final int CODEBLOCKF_LEN_MAX 			= 0x303;

        // Telepen
        //private static final int TELEPEN_START 				= 0x310;
        public static final int TELEPEN 					= 0x311;
        public static final int TELEPEN_LEN_MIN 			= 0x312;
        public static final int TELEPEN_LEN_MAX 			= 0x313;
        public static final int TELEPEN_OLDSTYLE			= 0x314;

        // functional parameters
        //private static final int FUNCTIONAL_START 			= 0x320;
        public static final int FACTORY_DEFAULT 			= 0x321;

        //private static final int OCR_START 					= 0x330;
        public static final int OCR 						= 0x331;
        public static final int OCR_TEMPLATE 				= 0x332;

        //Composite
        //private static final int COMPOSITE_START 			= 0x340;
        public static final int COMPOSITE_CC_C 				= 0x341;
        public static final int COMPOSITE_CC_AB 			= 0x342;
        public static final int COMPOSITE_TLC_39 			= 0x343;
        public static final int COMPOSITE_UPCEAN			= 0x344;

        //User and Imaging Parameter Default
        public static final int XMIT_CODE_ID				= 0x351;
    }

    /**
     * 锟斤拷扫锟斤拷头
     *
     * @return true 锟缴癸拷;false 失锟斤拷
     */
    boolean open();

    /**
     * 锟截憋拷扫锟斤拷头
     */
    void close();

    /**
     * 锟斤拷始扫锟斤拷
     */
    void startScan();

    /**
     * 停止扫锟斤拷
     */
    void stopScan();

    /**
     * 锟斤拷锟斤拷扫锟斤拷头
     */
    void enable();

    /**
     * 锟斤拷锟斤拷扫锟斤拷头
     */
    void disable();

    /**
     * 锟斤拷锟斤拷扫锟斤拷锟斤拷锟�	 *
     * @param num
     *            锟斤拷锟斤拷
     * @param value
     *            值
     */
    boolean setParams(int num, int value,FragmentScanner.ConnectThread connectThread,FragmentScanner.SettingCallBack callback);


    int getParams(int num);


//    void setDecodeCallBack(DecodeCallback callback);


//    void setDecodeInfoCallBack(DecodeInfoCallBack callback);


}
