package com.seuic.d400.d400settingdemo;

import android.content.Context;

/**
 * Created by user on 2015.11.02.
 */
public class SE955Scanner extends Scanner1D {



    static{
        paramArray.put(ParamCode.SCAN_ANGLE,					0x2);
        paramArray.put(ParamCode.RSS14, 						0x1A1);
        paramArray.put(ParamCode.RSS_LIMIT, 					0x1A2);
        paramArray.put(ParamCode.RSS_EXPANDED, 					0x1A3);
        paramArray.put(ParamCode.RSS_TO_UPCEAN, 				0x1A4);
    }

    SE955Scanner(Context context) {
        super(context);
    }

    @Override
    public boolean setParams(int id, int value, FragmentScanner.ConnectThread connectThread,FragmentScanner.SettingCallBack callback) {
        return super.setParams(id, value,connectThread, callback);
    }

    @Override
    protected int getLaserTime() {
        int laserTime = getParams(ParamCode.LASTER_ONTIME);
        if(laserTime > 0){
            return laserTime * 100;
        }
        return 30 * 100;
    }

    protected void setLaserTime(int time){
        laser_time = time * 100;
    }

}
